Which browsers work with UpGuard CyberRisk?

UpGuard CyberRisk supports the latest versions of Chrome, Edge, Firefox, and Opera. If you are using a browser that's not compatible with our tool, you'll see an error message and be prompted to try again with a supported browser.